View Issue Details

IDProjectCategoryView StatusLast Update
0022928mantisbtadministrationpublic2017-06-04 14:58
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.4.1 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022928: $g_anonymous_account is case sensitive, preventing normal users from logging in
Description

If anonymous_account is set to an account name in a different case, the following happens:

  • Anonymous access works.
  • Login button is not available, hence, users can't login in.

Workaround, is to use exact case for the username in the configuration option.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 9edd9b14

2017-05-25 23:39:14

vboctor

Details Diff
Make `$g_anonymous_account` not case sensitive

If the case of this config option and the username mismatched,
the anonymous access worked, but the login button didn’t causing
normal users to not be able to login or signup.

Fixes 0022928
mod - core/user_api.php Diff File

Issue History

Date Modified Username Field Change
2017-05-25 21:51 vboctor New Issue
2017-05-25 21:51 vboctor Status new => assigned
2017-05-25 21:51 vboctor Assigned To => vboctor
2017-05-25 23:39 vboctor Note Added: 0056969
2017-05-26 04:17 dregad Summary $g_anonymous_account is case sensitive casing normal users to not be able to login => $g_anonymous_account is case sensitive, preventing normal users from logging in
2017-05-28 13:12 vboctor Changeset attached => MantisBT master 9edd9b14
2017-05-28 13:12 vboctor Status assigned => resolved
2017-05-28 13:12 vboctor Resolution open => fixed
2017-05-28 13:12 vboctor Fixed in Version => 2.5.0
2017-05-28 13:40 atrol Target Version => 2.5.0
2017-06-04 14:58 vboctor Status resolved => closed